#ifndef SORT_H
#define SORT_H

#include <stdbool.h>

typedef bool(*criteria_cb)(int a, int b);

/* sort criteria */
bool ascending(int a, int b);
bool descending(int a, int b);
bool ascending_and_even(int a, int b);
bool ascending_and_odd(int a, int b);

void sort_bubble_array(int* array, unsigned length, criteria_cb criteria);

#endif /* SORT_H */
